<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.util Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.util Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ss/util/cellwalk/package-tree.html">Prev</a></li>
        <li><a href="../../../../org/apache/poi/wp/usermodel/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/package-tree.html" target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.util</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/ArrayUtil.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">ArrayUtil</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/BitField.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">BitField</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/BitFieldFactory.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">BitFieldFactory</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/ByteField.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">ByteField</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/FixedField.html" title="interface in org.apache.poi.util">FixedField</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/CodePageUtil.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">CodePageUtil</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/Configurator.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">Configurator</span></a></li>
                <li type="circle">org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/DefaultTempFileCreationStrategy.html"
                        title="class in org.apache.poi.util"><span
                        class="typeNameLink">DefaultTempFileCreationStrategy</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/TempFileCreationStrategy.html"
                        title="interface in org.apache.poi.util">TempFileCreationStrategy</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/DrawingDump.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">DrawingDump</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/FontMetricsDumper.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">FontMetricsDumper</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/HexDump.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">HexDump</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/HexRead.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">HexRead</span></a></li>
                <li type="circle">java.io.InputStream (implements java.io.Closeable)
                    <ul>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/BoundedInputStream.html"
                                title="class in org.apache.poi.util"><span
                                class="typeNameLink">BoundedInputStream</span></a></li>
                        <li type="circle">java.io.ByteArrayInputStream
                            <ul>
                                <li type="circle">org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                        title="class in org.apache.poi.util"><span class="typeNameLink">LittleEndianByteArrayInputStream</span></a>
                                    (implements org.apache.poi.util.<a
                                            href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                            title="interface in org.apache.poi.util">LittleEndianInput</a>)
                                </li>
                            </ul>
                        </li>
                        <li type="circle">java.io.FilterInputStream
                            <ul>
                                <li type="circle">org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/CloseIgnoringInputStream.html"
                                        title="class in org.apache.poi.util"><span class="typeNameLink">CloseIgnoringInputStream</span></a>
                                </li>
                                <li type="circle">org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util"><span class="typeNameLink">LittleEndianInputStream</span></a>
                                    (implements org.apache.poi.util.<a
                                            href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                            title="interface in org.apache.poi.util">LittleEndianInput</a>)
                                </li>
                                <li type="circle">org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/ReplacingInputStream.html"
                                        title="class in org.apache.poi.util"><span class="typeNameLink">ReplacingInputStream</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/RLEDecompressingInputStream.html"
                                title="class in org.apache.poi.util"><span class="typeNameLink">RLEDecompressingInputStream</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/IntegerField.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">IntegerField</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/FixedField.html" title="interface in org.apache.poi.util">FixedField</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/IntList.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">IntList</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/IntMapper.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">IntMapper</span></a>&lt;T&gt;
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/IOUtils.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">IOUtils</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/JvmBugs.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">JvmBugs</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LittleEndian.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">LittleEndian</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/LittleEndianConsts.html"
                        title="interface in org.apache.poi.util">LittleEndianConsts</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LocaleUtil.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">LocaleUtil</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LongField.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">LongField</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/FixedField.html" title="interface in org.apache.poi.util">FixedField</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LZWDecompresser.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">LZWDecompresser</span></a></li>
                <li type="circle">java.io.OutputStream (implements java.io.Closeable, java.io.Flushable)
                    <ul>
                        <li type="circle">java.io.FilterOutputStream
                            <ul>
                                <li type="circle">org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/LittleEndianOutputStream.html"
                                        title="class in org.apache.poi.util"><span class="typeNameLink">LittleEndianOutputStream</span></a>
                                    (implements org.apache.poi.util.<a
                                            href="../../../../org/apache/poi/util/LittleEndianOutput.html"
                                            title="interface in org.apache.poi.util">LittleEndianOutput</a>)
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                                title="class in org.apache.poi.util"><span class="typeNameLink">LittleEndianByteArrayOutputStream</span></a>
                            (implements org.apache.poi.util.<a
                                    href="../../../../org/apache/poi/util/DelayableLittleEndianOutput.html"
                                    title="interface in org.apache.poi.util">DelayableLittleEndianOutput</a>,
                            org.apache.poi.util.<a href="../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                   title="interface in org.apache.poi.util">LittleEndianOutput</a>)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/PngUtils.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">PngUtils</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/POILogFactory.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">POILogFactory</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/POILogger.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">POILogger</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/CommonsLogger.html"
                                title="class in org.apache.poi.util"><span class="typeNameLink">CommonsLogger</span></a>
                        </li>
                        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/NullLogger.html"
                                                                 title="class in org.apache.poi.util"><span
                                class="typeNameLink">NullLogger</span></a></li>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/SystemOutLogger.html"
                                title="class in org.apache.poi.util"><span
                                class="typeNameLink">SystemOutLogger</span></a></li>
                    </ul>
                </li>
                <li type="circle">java.io.Reader (implements java.io.Closeable, java.lang.Readable)
                    <ul>
                        <li type="circle">org.apache.poi.util.<a
                                href="../../../../org/apache/poi/util/LittleEndianCP950Reader.html"
                                title="class in org.apache.poi.util"><span
                                class="typeNameLink">LittleEndianCP950Reader</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/ShortField.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">ShortField</span></a> (implements org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/FixedField.html" title="interface in org.apache.poi.util">FixedField</a>)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/StaxHelper.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">StaxHelper</span></a></li>
                <li type="circle">org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/StringCodepointsIterable.html"
                        title="class in org.apache.poi.util"><span class="typeNameLink">StringCodepointsIterable</span></a>
                    (implements java.lang.Iterable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/StringUtil.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">StringUtil</span></a></li>
                <li type="circle">org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/StringUtil.StringsIterator.html"
                        title="class in org.apache.poi.util"><span
                        class="typeNameLink">StringUtil.StringsIterator</span></a> (implements java.util.Iterator&lt;E&gt;)
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/TempFile.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">TempFile</span></a></li>
                <li type="circle">java.lang.Throwable (implements java.io.Serializable)
                    <ul>
                        <li type="circle">java.lang.Exception
                            <ul>
                                <li type="circle">java.io.IOException
                                    <ul>
                                        <li type="circle">org.apache.poi.util.<a
                                                href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                                title="class in org.apache.poi.util"><span class="typeNameLink">LittleEndian.BufferUnderrunException</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">java.lang.RuntimeException
                                    <ul>
                                        <li type="circle">org.apache.poi.util.<a
                                                href="../../../../org/apache/poi/util/DocumentFormatException.html"
                                                title="class in org.apache.poi.util"><span class="typeNameLink">DocumentFormatException</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.util.<a
                                                href="../../../../org/apache/poi/util/RecordFormatException.html"
                                                title="class in org.apache.poi.util"><span class="typeNameLink">RecordFormatException</span></a>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/Units.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">Units</span></a></li>
                <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/XMLHelper.html"
                                                         title="class in org.apache.poi.util"><span
                        class="typeNameLink">XMLHelper</span></a></li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/FixedField.html"
                                                 title="interface in org.apache.poi.util"><span class="typeNameLink">FixedField</span></a>
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LittleEndianConsts.html"
                                                 title="interface in org.apache.poi.util"><span class="typeNameLink">LittleEndianConsts</span></a>
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                                 title="interface in org.apache.poi.util"><span class="typeNameLink">LittleEndianInput</span></a>
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                 title="interface in org.apache.poi.util"><span class="typeNameLink">LittleEndianOutput</span></a>
            <ul>
                <li type="circle">org.apache.poi.util.<a
                        href="../../../../org/apache/poi/util/DelayableLittleEndianOutput.html"
                        title="interface in org.apache.poi.util"><span
                        class="typeNameLink">DelayableLittleEndianOutput</span></a></li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/TempFileCreationStrategy.html"
                                                 title="interface in org.apache.poi.util"><span class="typeNameLink">TempFileCreationStrategy</span></a>
        </li>
    </ul>
    <h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/SuppressForbidden.html"
                                                 title="annotation in org.apache.poi.util"><span class="typeNameLink">SuppressForbidden</span></a>
            (implements java.lang.annotation.Annotation)
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/NotImplemented.html"
                                                 title="annotation in org.apache.poi.util"><span class="typeNameLink">NotImplemented</span></a>
            (implements java.lang.annotation.Annotation)
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/Beta.html"
                                                 title="annotation in org.apache.poi.util"><span class="typeNameLink">Beta</span></a>
            (implements java.lang.annotation.Annotation)
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/Internal.html"
                                                 title="annotation in org.apache.poi.util"><span class="typeNameLink">Internal</span></a>
            (implements java.lang.annotation.Annotation)
        </li>
        <li type="circle">org.apache.poi.util.<a href="../../../../org/apache/poi/util/Removal.html"
                                                 title="annotation in org.apache.poi.util"><span class="typeNameLink">Removal</span></a>
            (implements java.lang.annotation.Annotation)
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ss/util/cellwalk/package-tree.html">Prev</a></li>
        <li><a href="../../../../org/apache/poi/wp/usermodel/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/package-tree.html" target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
